import { getPropertyByString as o } from "@m4l/core";
import { defaultGetOptionValue as i } from "../defaultGetOptionValue/defaultGetOptionValue.js";
function f(n) {
  const r = n?.trim();
  return r ? (e) => {
    const t = o(e, r);
    return t != null && t !== "" ? t : i(e);
  } : i;
}
export {
  f as buildGetOptionValue
};
